Hello,

Wasn't sure what forum was the most appropriate, hope this is right...

Been trying all evening to install PoDoFo library - which allows you various PDF tools in C++. I've been going through their install instructions, consistently installing other required libraries for it as I go along and find errors (still fairly new to programming so I don't have much of it) but have hit a wall. Currently this is how far I get:

In terminal, building the files works fine after entering:
Code:
cmake -G "Unix Makefiles"
It chugs along with no errors. Then after entering make, it begins displying a % complete with infomation of what file has just been built. As it is doing this however, it also comes up with warnings, for example
Code:
/libraries/podofo-0.9.5/src/base/PdfEncrypt.cpp:110:13: warning: 'EVP_CIPHER_CTX_init' is deprecated: first deprecated in OS X 10.7 [-Wdeprecated-declarations]
            EVP_CIPHER_CTX_init(&aes);
There's a fair few of these like this. But am I correct in thinking these aren't necessarily a problem?

The big problem however is when I get to 49% and this happens:
Code:
[ 49%] Linking CXX executable ContentParser
ld: library not found for -lfontconfig
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[2]: *** [test/ContentParser/ContentParser] Error 1
make[1]: *** [test/ContentParser/CMakeFiles/ContentParser.dir/all] Error 2
make: *** [all] Error 2
I have been googling all over for lfontconfig, and have even installed something I found called "Fontconfig" v. 2.12.4. However, still no luck...

Anyone able to help? Thanks in advance.

PS. still new to coding forums, so please do say if I am doing anything wrong.